%if 0%{?el7}
%define dist .el7
%endif

Name:           perl-ParallelUserAgent
Version:        2.62
Release:        1%{?dist}
Summary:        Extension for LWP to allow parallel HTTP and FTP access

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~msouth/ParallelUserAgent-2.61/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSOUTH/ParallelUserAgent-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
# Correct for lots of packages, other common choices include eg. Module::Build
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%{?perl_default_filter}

%description
ParallelUserAgent is an extension to the existing libwww module. It allows you to take a list of URLs (it currently supports HTTP, FTP, and FILE URLs. HTTPS might work, too) and connect to all of them _in parallel_, then wait for the results to come in.

%prep
%setup -q -n ParallelUserAgent-%{version}

%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
#make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README* TODO
# For noarch packages: vendorlib
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Sun Jul 15 2018 momo-i <webmaster@momo-i.org> - 2.62-1
- Update to 2.62

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.61-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.61-4
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 2.61-3
- Rebuilt for fc22

* Fri Jan 10 2014 momo-i <webmaster@momo-i.org> - 2.61-2
- replace http and https from http10 and https10

* Fri Jan 10 2014 momo-i <webmaster@momo-i.org> - 2.61-1
- Initial rpm release.
